Page MenuHomeVyOS Platform

disable-dhcp-nameservers is missed in current host_name.py implementation
Closed, ResolvedPublicBUG

Description

Option disable-dhcp-nameservers was lost after migration [[ https://github.com/vyos/vyos-1x/blob/63855b5c6b674d102804b43bcda85499a43973a4/src/conf_mode/host_name.py | host_name.py ]] to vyos-hostsd. It is required to add the option processing into new host_name.py.

Details

Difficulty level
Normal (likely a few hours)
Version
1.2-rolling-201911021616
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

zsdc changed the task status from Open to Confirmed.Nov 2 2019, 6:29 PM
zsdc created this task.
pasik added a subscriber: pasik.Nov 4 2019, 9:51 AM
zsdc changed the task status from Confirmed to In progress.Nov 12 2019, 4:35 PM

Fix for the problem:
https://github.com/vyos/vyos-1x/pull/160
https://github.com/vyos/vyos-replace/pull/4

Side effect: after deletion of disable-dhcp-nameservers from the configuration, DNS received via DHCP will back to resolv.conf only after the next DHCP renew.

syncer changed the task status from In progress to Backport candidate.Nov 16 2019, 10:49 PM
syncer assigned this task to jestabro.
syncer triaged this task as Normal priority.
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.4) board.
syncer moved this task from Need Triage to Backlog on the VyOS 1.3 Equuleus board.
jestabro closed this task as Resolved.Nov 22 2019, 2:03 PM
c-po moved this task from Backlog to Finished on the VyOS 1.3 Equuleus board.Nov 24 2019, 7:37 PM

This is still broken for me on the most recent 1.3 rolling releases:

vyos@cr02-vyos# run show ver
Version:          VyOS 1.3-rolling-201911190242
Built by:         autobuild@vyos.net
Built on:         Tue 19 Nov 2019 02:42 UTC
Build UUID:       6f4d43b7-028e-48cb-ba51-8c401df5d847
Build Commit ID:  c3cbc7af476fb7

Architecture:     x86_64
Boot via:         installed image
System type:      bare metal

Hardware vendor:  QEMU
Hardware model:   Standard PC (i440FX + PIIX, 1996)
Hardware S/N:     
Hardware UUID:    df7f4ff0-711d-4e6d-9d93-a85a412d025a

Copyright:        VyOS maintainers and contributors
[edit]
vyos@cr02-vyos# show system name-server 
 name-server fd52:d62e:8011:ffff:192:168:255:1
 name-server 192.168.255.1
 name-server 1.1.1.1
vyos@cr02-vyos# cat /etc/resolv.conf

### Autogenerated by VyOS ###
### Do not edit, your changes will get overwritten ###

nameserver 209.18.47.61
nameserver 209.18.47.62
nameserver fd52:d62e:8011:ffff:192:168:255:1
nameserver 192.168.255.1
nameserver 1.1.1.1

domain int.trae32566.org
search int.trae32566.org ipa.trae32566.org trae32566.org
[edit]
vyos@cr02-vyos# set system disable-dhcp-nameservers 
[edit]
vyos@cr02-vyos# commit
[edit]
vyos@cr02-vyos# save
Saving configuration to '/config/config.boot'...
Done
[edit]
vyos@cr02-vyos# cat /etc/resolv.conf

### Autogenerated by VyOS ###
### Do not edit, your changes will get overwritten ###

nameserver 209.18.47.61
nameserver 209.18.47.62
nameserver fd52:d62e:8011:ffff:192:168:255:1
nameserver 192.168.255.1
nameserver 1.1.1.1

domain int.trae32566.org
search int.trae32566.org ipa.trae32566.org trae32566.org